/// <reference types="vite/client" />

declare module '*.vue' {
  import { DefineComponent } from 'vue';
  // eslint-disable-next-line @typescript-eslint/no-explicit-any, @typescript-eslint/ban-types
  const component: DefineComponent<{}, {}, any>;
  export default component;
}

// "vue3-smooth-dnd": "^0.0.6"
declare module 'vue3-smooth-dnd';

// "intl-tel-input": "^25.2.0"
declare module 'intl-tel-input/intlTelInputWithUtils' {
  import intlTelInput from 'intl-tel-input';
  export default intlTelInput;
}
